local Addon =
{
	Name = "NoFastTravel",
	NameSpaced = "No Fast Travel",
	Author = "Anumaril",
}

-- MAINTENANCE NOTES
-- New campaigns mean new zone IDs, so type this in game chat within each campaign to know it's ID:
-- /script d(GetZoneId(GetUnitZoneIndex("player")))

local shouldBlockTravel = true -- Set this to false to allow travel

local function BlockTravel()
    d("[NoFastTravel] Travel blocked.")
    PlaySound(SOUNDS.NEGATIVE_CLICK)
end

-- Function to check if the player is in Cyrodiil; obsolete as IsInCyrodiil seems to work standalone
--local function IsInCyrodiil()
--    local zoneId = GetZoneId(GetUnitZoneIndex("player"))
--    return zoneId == 181
--end

-- Overwrite the FastTravelToNode function
ZO_PreHook(_G, "FastTravelToNode", function(nodeIndex, ignoreCost)
    if shouldBlockTravel and not IsInCyrodiil() then
        BlockTravel()
        return true
    end
end)

-- Overwrite the TravelToKeep function
--ZO_PreHook(_G, "TravelToKeep", function(keepId, ignoreCost)
--    if shouldBlockTravel then
--        BlockTravel()
--        return true
--    end
--end)

-- Overwrite the RequestJumpToHouse function (YOUR house)
ZO_PreHook(_G, "RequestJumpToHouse", function(houseId)
    if shouldBlockTravel then
        BlockTravel()
        return true
    end
end)

-- Overwrite the JumpToHouse function (friends' houses)
-- ZO_PreHook(_G, "JumpToHouse", function(houseIndex, ignoreCost)
--     if shouldBlockTravel then
--         BlockTravel()
--         return true
--     end
-- end)